Blob Blame History Raw
diff -up sbcl-2.3.5/make.sh.orig sbcl-2.3.5/make.sh
--- sbcl-2.3.5/make.sh.orig	2023-05-28 04:34:18.000000000 -0600
+++ sbcl-2.3.5/make.sh	2023-06-13 11:34:23.337922199 -0600
@@ -24,7 +24,7 @@ export LANG LC_ALL
 # thing" when run on the target machine, with the minor caveat that
 # any --xc-host parameter should be suitable for the host machine
 # instead of the target.
-sh make-config.sh "$@" --check-host-lisp || exit $?
+sh -x make-config.sh "$@" --check-host-lisp || exit $?
 
 . output/prefix.def
 . output/build-config
@@ -76,11 +76,11 @@ maybetime() {
         $@
     fi
 }
-maybetime sh make-host-1.sh
-maybetime sh make-target-1.sh
-maybetime sh make-host-2.sh
-maybetime sh make-target-2.sh
-maybetime sh make-target-contrib.sh
+maybetime sh -x make-host-1.sh
+maybetime sh -x make-target-1.sh
+maybetime sh -x make-host-2.sh
+maybetime sh -x make-target-2.sh
+maybetime sh -x make-target-contrib.sh
 
 # Confirm that default evaluation strategy is :INTERPRET if sb-fasteval was built
 src/runtime/sbcl --core output/sbcl.core --lose-on-corruption --noinform \